Subject: Re: [PATCH 2/3] gnu: Add arm-trusted-firmware-rk3399.

From: Kever Yang <[email-masked]>
Date: Thu, 17 Oct 2019 14:43:28 +0800

Vagrant,

On 2019/10/17 下午1:46, Vagrant Cascadian wrote:
> On 2019-10-15, Kever Yang wrote:
>> On 2019/10/15 下午12:02, Vagrant Cascadian wrote:
>>> On 2019-10-14, [email-masked] wrote:
>>>> * gnu/packages/bootloaders.scm (arm-trusted-firmware-rk3399): New exported
>>>> variable.
>>> Thanks for working on this!
>>>
>>> Unfortunately this currently embeds a binary blob
>>> (plat/rockchip/rk3399/drivers/dp/hdcp.bin) with no license.
>>>
>>> I reported the issue upstream:
>>>
>>>     https://github.com/ARM-software/tf-issues/issues/651
>>
>> I have send the patch to ATF to remove the hdpc.bin, you can comment on it.
>>
>> https://review.trustedfirmware.org/c/TF-A/trusted-firmware-a/+/2194
> On both Debian and Guix it fails to build with:
>
> plat/rockchip/rk3399/plat_sip_calls.c: In function
> ‘rockchip_plat_sip_handler’:
> plat/rockchip/rk3399/plat_sip_calls.c:59:15: error: unused variable ‘x6’
> [-Werror=unused-variable]
>    uint64_t x5, x6;
>                 ^~
> plat/rockchip/rk3399/plat_sip_calls.c:59:11: error: unused variable ‘x5’
> [-Werror=unused-variable]
>    uint64_t x5, x6;
>             ^~
> cc1: all warnings being treated as errors
> make: *** [Makefile:777: build/rk3399/debug/bl31/plat_sip_calls.o] Error
> 1
> make: *** Waiting for unfinished jobs....
> command "make" "-j" "3" "PLAT=rk3399" "CROSS_COMPILE=aarch64-linux-gnu-"
> "DEBUG=1" failed with status 2
>
>
> Also commented on the patch in review.trustedfirmware.org.

Sorry, I do catch this issue last week, but forgot to update it to the 
Gerrit.

Already update to a new patch set now.

Thanks,

- Kever

> live well,
>    vagrant